using System.ComponentModel.DataAnnotations;

namespace AGSS.Models.Entities;

public class MenuModel
{
    [Key]
    [MaxLength(50)]
    public string Uuid { get; set; } = string.Empty;
    
    [MaxLength(50)]
    public string? ParentId { get; set; }
    
    [MaxLength(200)]
    public string Path { get; set; } = string.Empty;
    
    [MaxLength(100)]
    public string Label { get; set; } = string.Empty;
    
    [MaxLength(100)]
    public string Icon { get; set; } = string.Empty;
    
    [MaxLength(500)]
    public string? MenuCode { get; set; }
    
    [MaxLength(20)]
    public string Adaptability { get; set; } = "pc";
    
    [MaxLength(200)]
    public string Component { get; set; } = string.Empty;
    
    public int Sort { get; set; }
    
    [MaxLength(1)]
    public string Status { get; set; } = "1";
    
    [MaxLength(1000)]
    public string? Query { get; set; }
    
    public DateTime CreateTime { get; set; } = DateTime.Now;
    
    public DateTime? UpdateTime { get; set; }
} 